#ifndef TIMER_H
#define TIMER_H

#include <iosfwd>


namespace timer {

class Timer
{
public:
  Timer();
  ~Timer();
  void restart();
  double elapsed() const;
private:
  double gettime() const;
  double start_time_;
};

std::ostream& operator<<(std::ostream& os, Timer& t);

} // namespace timer

#endif
// TIMER_H
